Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pulling.availability_predection
Class TimeStamp

    java.lang.Object
      pulling.availability_predection.TimeStamp

    public class TimeStamp

extends java.lang.Object

It represents a time stamp (hour and minute) of an entry in the file created by the AvailabilityLogger (e.g. 12_10)

Author:
  Majd Kokaly

Constructor Summary
`TimeStamp()`
`TimeStamp(int hour, int minute)`

Method Summary
`void` | `addHours(int addedHours)`
`void` | `addMinutes(int addedMinutes)`
`int` | `getHour()`
`int` | `getMinute()`
`static TimeStamp` | `getTimeStamp(java.util.GregorianCalendar cal)`
`int` | `howManyPeriodsBefore(int period)`
`static void` | `main(java.lang.String[] args)`
`void` | `print()`
`void` | `setHour(int hour)`
`void` | `setMinute(int minute)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeStamp

    public TimeStamp()

### TimeStamp

    public TimeStamp(int hour,
                     int minute)

Method Detail

### getHour

    public int getHour()

### setHour

    public void setHour(int hour)

### getMinute

    public int getMinute()

### setMinute

    public void setMinute(int minute)

### addHours

    public void addHours(int addedHours)

### addMinutes

    public void addMinutes(int addedMinutes)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### howManyPeriodsBefore

    public int howManyPeriodsBefore(int period)

### print

    public void print()

### main

    public static void main(java.lang.String[] args)

### getTimeStamp

    public static TimeStamp getTimeStamp(java.util.GregorianCalendar cal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD